#!/usr/bin/env python

# html_report_template - Provides a template to render an HTML page after
# Python variable substitution
#
# Author: David Planella <david.planella@ubuntu.com>, with mods by
#   Kyle Nitzsche <kyle.nitzsche@canonical.com>
#
# Copyright (c) 2009, 2010 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

ubuntu_template = """
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Ubuntu %(distro_release)s Languages</title>
    <link rel="stylesheet" href="css/light.css" type="text/css" />
    <script src="http://www.google.com/jsapi" type="text/javascript"></script>
    <script type="text/javascript">

      google.load("visualization", "1", {packages:["table"]});
      google.setOnLoadCallback(drawTable);

      function drawTable() {
          var language_table_data = new google.visualization.DataTable(%(languages_json)s, 0.6);

          var language_table = new google.visualization.Table(
            document.getElementById('table_div_langpack'));

          var formatter = new google.visualization.BarFormat({
              min: 0,
              max: 100,
              width: 100,
              colorPositive: 'green'});
          formatter.format(language_table_data, 1); // Apply formatter to second column

          language_table.draw(language_table_data, {
              allowHtml: true,
              showRowNumber: true,
              page: 'enable',
              pageSize: %(total_translated_langs)s});

          // google.visualization.events.addListener(language_table, 'select', function() {
          //     var row = language_table.getSelection()[0].row;
          //     alert('You selected ' + language_table_data.getValue(row, 0));

          google.visualization.events.addListener(language_table, 'select', selectHandler);
      }

    function selectHandler(e) {
        var row = language_table.getSelection()[0].row;
        //alert('A table row was selected');
        alert('A table row was selected' + language_table_data.getValue(row, 0));
    }
    </script>

    <style type="text/css">
        #report-meta {
          text-align: right;
          font-size: small;
          color: #999;
          float: right;
        }

       #report-meta p {
         margin: 0;
       }

       table {margin-left:auto; margin-right:auto;}
    </style>
  </head>

  <body>
    <div id="container">
      <div id="container-inner" class="container clear-block">
        <div id="header">
          <ul id="navbar">
            <li><a href="https://wiki.ubuntu.com/Translations/">Home</a></li>
            <li><a href="https://wiki.ubuntu.com/Translations/QuickStartGuide">Quickstart</a></li>
            <li><a href="https://translations.launchpad.net/ubuntu">Translate</a></li>
            <li><a href="https://translations.launchpad.net/+groups/ubuntu-translators">Teams</a></li>
            <li><a href="./">Statistics</a></li>
            <li><a href="https://answers.launchpad.net/ubuntu-translations">Support</a></li>
          </ul>

          <h1 id="ubuntu-header">
            <a href="https://wiki.ubuntu.com/Translations" title="Ubuntu Translations"></a>
          </h1>
        </div>

        <div id="page">
          <div id="content">
            <div class="titlepage">
               <h2 class="title"><a id="id2820777"></a>Ubuntu %(distro_release)s Translations</h2>
            </div>

            <p id="intro-message">
            <!--
            <ul>
              <li><strong>Fully translated languages:</strong> %(translated_langs_str)s</li>
              <li><strong>Total number of languages:</strong> %(total_langs)s</li>
            </ul>
            -->
            At the heart of Ubuntu's philosophy is the belief that computing is
            for everyone, whatever your language. Ubuntu %(distro_release)s is one of the
            most accessible operating systems and is fully translated into %(total_translated_langs)s
            languages, with many other nearly completed and more being added all the time.
          </p>

          <div id="table_div_langpack"></div>

          <div id="footer">
            <div id="ubuntulinks">
              <a href="https://wiki.ubuntu.com/Translations/Stats#UbuntuTranslationStatistics">More information on these statistics</a>
                &nbsp;&bull;&nbsp;
                Found a bug? <a href="https://bugs.launchpad.net/ubuntu-translations">Report it</a>
                &nbsp;&bull;&nbsp;
                Last update on %(gen_date)s
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>

</html>
"""
